import globals from 'globals';
import pluginJs from '@eslint/js';
import tseslint from 'typescript-eslint';
import eslintPluginPrettierRecommended from 'eslint-plugin-prettier/recommended';

export default [
  { files: ['**/*.{js,mjs,cjs,ts}'] },
  { languageOptions: { globals: globals.browser } },
  pluginJs.configs.recommended,
  ...tseslint.configs.recommended,
  eslintPluginPrettierRecommended,
  {
    ignores: [
      'dist/**/*',
      'eslint.config.js',
      'vite.config.js',
      'public/js/notabene.js',
      'ts-out/**/*',
    ],
  },
  {
    rules: { '@typescript-eslint/no-explicit-any': 'off' },
  },
];
