import { HostMessage, Transaction, TransactionResponse, ValidationError } from '../types';
import { MessageCallback } from '../utils/MessageEventManager';
/**
 * An embedded Notabene component
 * @public
 */
export default class EmbeddedComponent {
    private _url;
    private _value;
    private _errors;
    private iframe?;
    private eventManager;
    private ready;
    constructor(url: string, value: Partial<Transaction>);
    get url(): string;
    get value(): Partial<Transaction>;
    get errors(): ValidationError[];
    open(): void;
    mount(parentId: string): void;
    send(message: HostMessage): void;
    on(messageType: string, callback: MessageCallback): void;
    off(messageType: string, callback: MessageCallback): void;
    update(value: Partial<Transaction>): void;
    completion(): Promise<TransactionResponse>;
}
