export var ComponentTypes;
(function (ComponentTypes) {
    ComponentTypes["WITHDRAW_ASSIST"] = "WITHDRAW_ASSIST";
})(ComponentTypes || (ComponentTypes = {}));
/**
 * The type of Agent. Either a wallet or a VASP
 * @public
 */
export var AgentType;
(function (AgentType) {
    AgentType["PRIVATE"] = "WALLET";
    AgentType["VASP"] = "VASP";
})(AgentType || (AgentType = {}));
/**
 * The type of counterparty. Either a natural person or a legal person. If the customer is the same as the counterparty then the counterparty is a self.
 * @public
 */
export var PersonType;
(function (PersonType) {
    PersonType["NATURAL"] = "natural";
    PersonType["LEGAL"] = "legal";
    PersonType["SELF"] = "self";
})(PersonType || (PersonType = {}));
/**
 * The verification status of a transaction
 * @public
 */
export var Status;
(function (Status) {
    Status["EMPTY"] = "empty";
    Status["VERIFY"] = "verify";
    Status["PENDING"] = "pending";
    Status["VERIFIED"] = "verified";
    Status["BANNED"] = "banned";
})(Status || (Status = {}));
/**
 * Component Message Types
 * @internal
 */
export var CMType;
(function (CMType) {
    CMType["COMPLETE"] = "complete";
    CMType["RESIZE"] = "resize";
    CMType["RESULT"] = "result";
    CMType["READY"] = "ready";
    CMType["INVALID"] = "invalid";
    CMType["MODAL"] = "openModal";
    CMType["ERROR"] = "error";
    CMType["CLOSE"] = "closeModal";
    CMType["CANCEL"] = "cancel";
})(CMType || (CMType = {}));
/**
 * Host Message Types
 * @internal
 */
export var HMType;
(function (HMType) {
    HMType["UPDATE"] = "update";
    HMType["REQUEST_RESPONSE"] = "requestResponse";
})(HMType || (HMType = {}));
/**
 * Status of the proof
 * @public
 */
export var ProofStatus;
(function (ProofStatus) {
    ProofStatus["PENDING"] = "pending";
    ProofStatus["FAILED"] = "rejected";
    ProofStatus["FLAGGED"] = "flagged";
    ProofStatus["VERIFIED"] = "verified";
})(ProofStatus || (ProofStatus = {}));
/**
 * The type of Proofs supported
 * @public
 **/
export var ProofTypes;
(function (ProofTypes) {
    ProofTypes["SelfDeclaration"] = "self-declaration";
    ProofTypes["PersonalSignEIP191"] = "eip-191";
    ProofTypes["PersonalSignEIP712"] = "eip-712";
    ProofTypes["PersonalSignBIP137"] = "bip-137";
    ProofTypes["PersonalSignXPUB"] = "xpub";
    ProofTypes["MicroTransfer"] = "microtransfer";
    ProofTypes["Screenshot"] = "screenshot";
})(ProofTypes || (ProofTypes = {}));
